# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=btrfs-progs
pkgver=5.19
pkgrel=1
pkgdesc="Btrfs filesystem utilities"
arch=('x86_64')
url="https://btrfs.wiki.kernel.org"
license=('GPL2')
depends=('glibc' 'util-linux' 'lzo' 'zlib' 'zstd' 'libgcrypt')
makedepends=('systemd' 'python' 'python-setuptools' 'e2fsprogs')
options=('!staticlibs')
source=(https://www.kernel.org/pub/linux/kernel/people/kdave/${pkgname}/${pkgname}-v${pkgver}.tar.xz)
sha256sums=(1fbcf06e4b2f80e7a127fd687ed4625a5b74fa674fe212c836ff70e0edfcccf9)

build() {
    cd ${pkgname}-v${pkgver}

    ${configure}                 \
        --bindir=/usr/sbin       \
        --with-crypto=libgcrypt  \
        --disable-documentation

    make
}

package() {
    cd ${pkgname}-v${pkgver}

    make DESTDIR=${pkgdir} install install_python

    install -Dm644 btrfs-completion ${pkgdir}/usr/share/bash-completion/completions/btrfs

}
